### Enumeration

# Gdk ScrollDirection

since: 4.0

#### Declaration

    enum Gdk.ScrollDirection

#### Description [src]

Specifies the direction for scroll events.

Available since: 4.0

#### Members

`GDK_SCROLL_UP`

  The surface is scrolled up.

  - Value: `0`
  - Nickname: `up`
  - Available since: 4.0
`GDK_SCROLL_DOWN`

  The surface is scrolled down.

  - Value: `1`
  - Nickname: `down`
  - Available since: 4.0
`GDK_SCROLL_LEFT`

  The surface is scrolled to the left.

  - Value: `2`
  - Nickname: `left`
  - Available since: 4.0
`GDK_SCROLL_RIGHT`

  The surface is scrolled to the right.

  - Value: `3`
  - Nickname: `right`
  - Available since: 4.0
`GDK_SCROLL_SMOOTH`

  The scrolling is determined by the delta values in scroll events. See `gdk_scroll_event_get_deltas()`

  - Value: `4`
  - Nickname: `smooth`
  - Available since: 4.0